Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CompanionNode

    java.lang.Object
      |
      +--oracle.apps.cz.cio.CompanionNode

public class CompanionNode
extends java.lang.Object

Provides methods for extracting values from a model based on property annotations.

Created by a parent `CompanionRoot` from a functional companion and used to get property-mapped feature information.

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`boolean` | `getBoolean(java.lang.String name)` Returns the value of a boolean feature.
`boolean` | `getBoolean(java.lang.String name, boolean dflt)` Returns the value of a boolean feature, or the default if features is not present.
`com.sun.java.util.collections.List` | `getChildren()` Returns all of the CompanionNode children of this CompanionNode.
`double` | `getDouble(java.lang.String name)` Returns the value of a double feature.
`double` | `getDouble(java.lang.String name, double dflt)` Returns the value of a double feature, or the default if features is not present.
`oracle.apps.cz.cio.IRuntimeNode` | `getFeature(java.lang.String name)` Get the runtime node representing a particular feature based on its property annotation.
`int` | `getInteger(java.lang.String name)` Returns the value of an integer feature.
`int` | `getInteger(java.lang.String name, int dflt)` Returns the value of an integer feature, or the default if features is not present.
`java.lang.String` | `getString(java.lang.String name)` Returns the value of a string feature.
`java.lang.String` | `getString(java.lang.String name, java.lang.String dflt)` Returns the value of a string feature, or the default if the feature is not present.
`boolean` | `hasFeature(java.lang.String name)` Returns true if this CompanionNode contains the named feature.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### getChildren

    public com.sun.java.util.collections.List getChildren()

  Returns all of the CompanionNode children of this CompanionNode.

### getFeature

    public oracle.apps.cz.cio.IRuntimeNode getFeature(java.lang.String name)

  Get the runtime node representing a particular feature based on its property annotation.

### hasFeature

    public boolean hasFeature(java.lang.String name)

  Returns true if this CompanionNode contains the named feature.

### getBoolean

    public boolean getBoolean(java.lang.String name,
                              boolean dflt)

  Returns the value of a boolean feature, or the default if features is not present.

### getBoolean

    public boolean getBoolean(java.lang.String name)

  Returns the value of a boolean feature.

### getInteger

    public int getInteger(java.lang.String name,
                          int dflt)

  Returns the value of an integer feature, or the default if features is not present.

### getInteger

    public int getInteger(java.lang.String name)

  Returns the value of an integer feature.

### getDouble

    public double getDouble(java.lang.String name,
                            double dflt)

  Returns the value of a double feature, or the default if features is not present.

### getDouble

    public double getDouble(java.lang.String name)

  Returns the value of a double feature.

### getString

    public java.lang.String getString(java.lang.String name,
                                      java.lang.String dflt)

  Returns the value of a string feature, or the default if the feature is not present.

### getString

    public java.lang.String getString(java.lang.String name)

  Returns the value of a string feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.